#include<iostream>
#include "fileparser.h"

int main(int argc, char** argv) {
  using namespace std;
  if (argc < 3) {
    cerr << "missing 2 args on cmd line" << endl;
    return 1;
  }
  FileParser fp(argv[1], argv[2]);
  fp.parse();
  for(int i = 0; i < fp.getNumberOfParsedStrings(); i++) {
    cout << fp.getParsedString(i) << endl;
  }
  return 0;
}
